org.icefaces.ace.component.column

## Interface IProxiableColumn

- All Superinterfaces:
    IColumn
  All Known Implementing Classes:
    Column, ProxiedBodyColumn

      public interface IProxiableColumn
      extends IColumn

  To fully support ColumnGroup headers, there needs to be a connection between each Column component in the body and its corresponding Column component in the header ColumnGroup. Via a proxy, properties may be accessed and set, so that they don't have to be redundantly specified on each. In the simplest case, there is no header ColumnGroup, and the body column itself implements this interface.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `encodeAll(javax.faces.context.FacesContext context)`
    `DataTable` | `findParentTable()`
    `int` | `getCurrGroupLength()`
    `java.lang.String` | `getId()`
    `java.lang.String` | `getLazyColumnKey()`
    `javax.el.ValueExpression` | `getValueExpression(java.lang.String name)`
    `boolean` | `hasCellEditor()`
    `boolean` | `isOddGroup()`
    `boolean` | `isRendered()`
    `void` | `setCurrGroupLength(int currGroupLength)`
    `void` | `setLazyColumnKey(java.lang.String lazyColumnKey)`
    `void` | `setOddGroup(boolean oddGroup)`

    - ### Methods inherited from interface org.icefaces.ace.component.column.IColumn

      `getColspan, getFilterBy, getFilterMatchMode, getFilterOptions, getFilterStyle, getFilterStyleClass, getFilterValue, getFilterValues, getFooterText, getGroupBy, getHeaderText, getPinningOrder, getRowspan, getSelectBy, getSortBy, getSortFunction, getSortPriority, getStyle, getStyleClass, isConfigurable, isHideSortControls, isReorderable, isSortAscending, isSortWhenGrouping, isStacked, setColspan, setConfigurable, setFilterBy, setFilterMatchMode, setFilterOptions, setFilterStyle, setFilterStyleClass, setFilterValue, setFilterValues, setFooterText, setGroupBy, setHeaderText, setHideSortControls, setPinningOrder, setReorderable, setRowspan, setSelectBy, setSortAscending, setSortBy, setSortFunction, setSortPriority, setSortWhenGrouping, setStacked, setStyle, setStyleClass`

- - ### Method Detail

    - #### getId

          java.lang.String getId()

    - #### isRendered

          boolean isRendered()

    - #### getValueExpression

          javax.el.ValueExpression getValueExpression(java.lang.String name)

    - #### encodeAll

          void encodeAll(javax.faces.context.FacesContext context)
                  throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### findParentTable

          DataTable findParentTable()

    - #### isOddGroup

          boolean isOddGroup()

    - #### setOddGroup

          void setOddGroup(boolean oddGroup)

    - #### getCurrGroupLength

          int getCurrGroupLength()

    - #### setCurrGroupLength

          void setCurrGroupLength(int currGroupLength)

    - #### hasCellEditor

          boolean hasCellEditor()

    - #### getLazyColumnKey

          java.lang.String getLazyColumnKey()

      Specified by:
        `getLazyColumnKey` in interface `IColumn`

    - #### setLazyColumnKey

          void setLazyColumnKey(java.lang.String lazyColumnKey)

      Specified by:
        `setLazyColumnKey` in interface `IColumn`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.